<div style="margin-bottom:15px;">
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Please Insert Doc Number">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
    <br>
    <p-dataTable
    [value]="jobOrders"
    [(selection)]="selected"
    [editable]="true"
    [rows]="itemsPerPage"
    [headerCheckboxToggleAllPages]="true"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idOrder"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <div class="d-flex flex-row-reverse">
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)" >
                            <div class="btn-filter-wrapper">
                                <button (click)="processToNotAvailable()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Not Approved</span>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="nav-item">
                <div>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                            <div class="btn-filter-wrapper">
                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                    <span>Approved</span>
                                </button>
                                &nbsp;
                                &nbsp;
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </p-header>
    <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="No Doc">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.nodoc}}
        </ng-template>
    </p-column>
    <p-column header="Dept.">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.div}}
        </ng-template>
    </p-column>
    <p-column header="Seksie">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.seksie}}
        </ng-template>
    </p-column>
    <p-column header="Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtStart | date:'dd-MM-yyyy HH:mm'}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <!-- <button pButton type="submit"
                    [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                    (click)="gotoDetail(rowData)"
                    icon="fa-pencil"
                    class="flat-button">
            </button> -->
            <button pButton type="submit"
                        (click)="print(rowData.idOvertime, rowData)"
                        icon="fa-print"
                        class="flat-button">
                </button>
            <!-- <button pButton type="submit"
                    (click)="print(rowData.idOrder, rowData)"
                    icon="fa-print"
                    class="flat-button">
            </button> -->
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
</div>
